// Persistence of Vision Ray Tracer Scene Description File
// File: step05.pov
// Vers: 3
// Desc: Hourglass Example
// Date: 09/01/1998
// Auth: Jonnathon Tann
//

#version 3

#include "colors.inc"

global_settings
{
  assumed_gamma 1.0
}

camera
{
  location  <0.0, .5, -4.5>
  direction 1.5*z
  right     4/3*x
  look_at   <0.0, 0.0, 0.0>
}

light_source
{
  0*x // light's position (translated below)
  color red 1.0  green 1.0  blue 1.0  // light's color
  translate <-30, 30, -30>
}

merge
{
  cylinder{<0,-0.5,0>, <0,0.5,0>, 0.215}
  sphere{<0, .78, 0> 0.5}
  sphere{<0, -.78, 0> 0.5}
  cylinder{<0, .78, 0>, <0, 1, 0>, .5}
  cylinder{<0, -.78, 0>, <0, -1, 0>, .5}
  texture{pigment {White filter 0.7} finish{specular 1}}
}
